All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Christoph Egger" <Christoph.Egger@amd.com>
To: xen-devel@lists.xensource.com
Subject: [PATCH] Minor fixes for non-Linux platforms
Date: Thu, 12 Oct 2006 10:33:41 +0200	[thread overview]
Message-ID: <200610121033.42046.Christoph.Egger@amd.com> (raw)

[-- Attachment #1: Type: text/plain, Size: 240 bytes --]


Hello!

The attached patch makes the stuff in tools/check/  work for *BSD systems.
Consider this as a start to make xen buildable on non-Linux platforms.

I don't expect to get this into xen 3.0.3, but I hope this can go into 
-unstable.


[-- Attachment #2: tools_check.diff --]
[-- Type: text/x-diff, Size: 2469 bytes --]

diff -r f14a67a35bec tools/check/check_brctl
--- a/tools/check/check_brctl	Thu Oct 12 17:53:51 2006 +0100
+++ b/tools/check/check_brctl	Thu Oct 12 10:17:33 2006 +0200
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 # CHECK-INSTALL
 
 function error {
@@ -7,4 +7,18 @@ function error {
    exit 1
 }
 
-which brctl 1>/dev/null 2>&1 || error
+
+case ${OS} in
+OpenBSD|NetBSD|FreeBSD)
+	# These systems have a bridge builtin
+	which brconfig 1>/dev/null 2>&1 || error
+	;;
+Linux)
+	which brctl 1>/dev/null 2>&1 || error
+	;;
+*)
+	echo "Unknown OS" && error
+	;;
+esac
+
+exit 0
diff -r f14a67a35bec tools/check/check_iproute
--- a/tools/check/check_iproute	Thu Oct 12 17:53:51 2006 +0100
+++ b/tools/check/check_iproute	Thu Oct 12 10:17:33 2006 +0200
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 # CHECK-INSTALL
 
 function error {
@@ -7,5 +7,16 @@ function error {
    exit 1
 }
 
-ip addr list 1>/dev/null 2>&1 || error
+case ${OS} in
+OpenBSD|NetBSD|FreeBSD)
+	ifconfig -a 1>/dev/null 2>&1 || error
+	;;
+Linux)
+	ip addr list 1>/dev/null 2>&1 || error
+	;;
+*)
+	echo "Unknown OS" && error
+	;;
+esac
 
+exit 0	
diff -r f14a67a35bec tools/check/check_python
--- a/tools/check/check_python	Thu Oct 12 17:53:51 2006 +0100
+++ b/tools/check/check_python	Thu Oct 12 10:17:33 2006 +0200
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 # CHECK-BUILD CHECK-INSTALL
 
 function error {
diff -r f14a67a35bec tools/check/check_zlib_devel
--- a/tools/check/check_zlib_devel	Thu Oct 12 17:53:51 2006 +0100
+++ b/tools/check/check_zlib_devel	Thu Oct 12 10:17:33 2006 +0200
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 # CHECK-BUILD
 
 function error {
diff -r f14a67a35bec tools/check/check_zlib_lib
--- a/tools/check/check_zlib_lib	Thu Oct 12 17:53:51 2006 +0100
+++ b/tools/check/check_zlib_lib	Thu Oct 12 10:17:33 2006 +0200
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 # CHECK-BUILD CHECK-INSTALL
 
 function error {
@@ -8,4 +8,4 @@ function error {
 }
 
 set -e
-ldconfig -p | grep -q libz.so || error
+ldconfig -v 2>&1 | grep -q libz.so || error
diff -r f14a67a35bec tools/check/chk
--- a/tools/check/chk	Thu Oct 12 17:53:51 2006 +0100
+++ b/tools/check/chk	Thu Oct 12 10:17:33 2006 +0200
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 
 function usage {
     echo "Usage:"
@@ -13,6 +13,7 @@ function usage {
 }
 
 export PATH=${PATH}:/sbin:/usr/sbin
+export OS=`uname -s`
 
 case $1 in
     build)

[-- Attachment #3: Type: text/plain, Size: 138 bytes --]

_______________________________________________
Xen-devel mailing list
Xen-devel@lists.xensource.com
http://lists.xensource.com/xen-devel

             reply	other threads:[~2006-10-12  8:33 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2006-10-12  8:33 Christoph Egger [this message]
2006-10-13  9:56 ` [PATCH] Minor fixes for non-Linux platforms Bastian Blank
2006-10-13 11:54   ` Keir Fraser
2006-10-12 12:33     ` Christoph Egger
2006-10-13 16:45       ` Christian Limpach
2006-10-13 21:27       ` Aron Griffis
2006-10-15  8:39         ` Christoph Egger
2006-10-17 14:08           ` Christoph Egger
2006-10-13 21:56       ` Aron Griffis
2006-10-14 15:29         ` Ewan Mellor

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=200610121033.42046.Christoph.Egger@amd.com \
    --to=christoph.egger@amd.com \
    --cc=xen-devel@lists.xensource.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.